<script setup lang="ts">
	import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";
	onLaunch(() => {
		console.log("App Launch");
	});
	onShow(() => {
		console.log("App Show");
	});
	onHide(() => {
		console.log("App Hide");
	});
</script>
<style lang="less">
 @import "@/styles/variables.less";
	page {
		background: #F6F6F6;
	}
	.content {
		box-sizing: border-box;
		padding: 0rpx 20rpx;
		padding-bottom: 30rpx;
	}
	svg {
	  overflow: hidden; /* 防止裁剪 */
	  vertical-align: -0.15em; /* 图标对齐修正 */
	}
	.textHidden {
		overflow: hidden !important;
		white-space: nowrap !important;
		text-overflow: ellipsis !important;
	}
	.mini-text{
		font-size: 26rpx;
		
	}
	.footer{
		position: fixed;
		display: flex;
		align-items: center;
		justify-content: space-between;
		width: 710rpx;
		height: 166rpx;
		background: #FFFFFF;
		box-shadow: 0rpx -6rpx 12rpx 2rpx rgba(0, 0, 0, 0.09);
		border-radius: 32rpx 32rpx 0rpx 0rpx;
		bottom: 0;
		padding: 0 20rpx;
		z-index: 9999;
	}
</style>